-- =============================================
-- Author:	    Alessandro Tringali
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE procedure [C6MartPeriodico].[SRV_CHECK_INDIRIZZI]
AS
BEGIN
-- 1 indirizzi
SELECT 
nome,
cognome,
cod_fiscale,
indirizzo,
localita,
provincia,
cap
FROM
C6MARTPERIODICO.ANAG_CLIENTI
WHERE
(
NOME IS NULL
OR
COGNOME IS NULL
OR 
INDIRIZZO IS NULL
OR 
LOCALITA IS NULL
OR 
PROVINCIA IS NULL
OR
CAP IS NULL
)
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'Update',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'SRV_CHECK_INDIRIZZI' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'SRV_CHECK_INDIRIZZI'
		)
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'SRV_CHECK_INDIRIZZI',
		GETDATE(),
		'Elaborazione MARKETING'
	)
END